> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/s4-resources/s4-time/exports.md).

# Exports

Exports and handlers come with the new version. Counts as update after 26.02.2025.

Client-side

<table><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><pre class="language-lua"><code class="lang-lua"> exports["0r-easytime"].disableSync()
</code></pre></td><td>Sync Disable</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].enableSync()
</code></pre></td><td>Sync enable</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].getWeather()
</code></pre></td><td>Brings the weather forecast</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">'0r-time:disableSync'
</code></pre></td><td>Sync disables</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">'0r-time:enableSync'
</code></pre></td><td>Sync enables</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">"qb-weathersync:client:EnableSync"
</code></pre></td><td>If you have a Qbcore tagged script, you don't need to change the tag</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">"qb-weathersync:client:DisableSync"
</code></pre></td><td>If you have a Qbcore tagged script, you don't need to change the tag</td><td></td></tr></tbody></table>

Server-side

<table><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].SetBlackout(bool)
</code></pre></td><td>Blackout active-deactive</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].SetRealtime(bool)
</code></pre></td><td>Realtime active-deactive</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].SetFreezetime(bool)
</code></pre></td><td>Freezetime active-deactive</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].SetFreezeweather(bool)
</code></pre></td><td>FreezeWeather active-deactive</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].SetTime(hour, minute)
</code></pre></td><td>Changes the time</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">exports["0r-easytime"].SetWeather(weather)
</code></pre></td><td>Changes the weather</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">'qb-weathersync:server:setWeather'
</code></pre></td><td>If you have a Qbcore tagged script, you don't need to change the tag</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">'qb-weathersync:server:setTime'
</code></pre></td><td>If you have a Qbcore tagged script, you don't need to change the tag</td><td></td></tr><tr><td><pre class="language-lua"><code class="lang-lua">'qb-weathersync:server:RequestStateSync'
</code></pre></td><td>If you have a Qbcore tagged script, you don't need to change the tag</td><td></td></tr><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/s4-resources/s4-time/exports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
